Bug 640215 - Review Request: apache-commons-dbcp - rename of jakarta-commons-dbcp
Review Request: apache-commons-dbcp - rename of jakarta-commons-dbcp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 646650
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-10-05 05:20 EDT by Spike
Modified: 2010-10-27 08:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 08:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-10-05 05:20:11 EDT
This is a re-review of existing package!

Spec URL: http://spike.fedorapeople.org/apache-commons-dbcp/apache-commons-dbcp.spec
SRPM URL: http://spike.fedorapeople.org/apache-commons-dbcp/apache-commons-dbcp-1.4-1.fc13.src.rpm

Description: 
Many Apache projects support interaction with a relational database. Creating a new connection for each user can be time consuming (often requiring multiple seconds of clock time), in order to perform a database transaction that might take milliseconds. Opening a connection per user can be unfeasible in a publicly-hosted Internet application where the number of simultaneous users can be very large. Accordingly, developers often wish to share a "pool" of open connections between all of the application's current users. The number of users actually performing a request at any given time is usually a very small percentage of the total number of active users, and during request processing is the only time that a database connection is required. The application itself logs into the DBMS, and handles any user account issues internally.
Comment 1 Alexander Kurtakov 2010-10-07 04:41:04 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-10-07 05:30:16 EDT
=== REQUIRED ITEMS ===
[X]  Rpmlint output:
apache-commons-dbcp-javadoc.noarch: W: obsolete-not-provided jakarta-commons-dbcp-javadoc
apache-commons-dbcp.noarch: W: obsolete-not-provided jakarta-commons-dbcp-tomcat5
apache-commons-dbcp.noarch: W: obsolete-not-provided hibernate_jdbc_cache
OK, we should not keep dummy provides.

apache-commons-dbcp.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-dbcp
False positive.
[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :e9f599c99baefeeb0e192030c5d19d5d
MD5SUM upstream package:e9f599c99baefeeb0e192030c5d19d5d
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[X]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[X]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[X]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[X]  Package uses %update_maven_depmap in %post/%postun
[X]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[X]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[X]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.


Really good package, can serve as an example.

This package is APPROVED.
Comment 3 Alexander Kurtakov 2010-10-07 05:45:00 EDT
Btw, I would like to get Epoch removed from dbcp. We should add it only when needed.
Comment 4 Spike 2010-10-18 10:44:39 EDT
Thanks for reviewing.

(In reply to comment #3)
> Btw, I would like to get Epoch removed from dbcp. We should add it only when
> needed.

Done. New spec and SRPM:
http://spike.fedorapeople.org/apache-commons-dbcp/apache-commons-dbcp.spec
http://spike.fedorapeople.org/apache-commons-dbcp/apache-commons-dbcp-1.4-2.fc13.src.rpm
Comment 5 Spike 2010-10-18 10:54:18 EDT
New Package SCM Request
=======================
Package Name: apache-commons-dbcp
Short Description: Apache Commons DataBase Pooling Package
Owners: spike
Branches: F-14
InitialCC:
Comment 6 Kevin Fenzi 2010-10-19 00:01:49 EDT
Git done (by process-git-requests).
Comment 7 Spike 2010-10-27 08:28:37 EDT
Package built, closing.

https://koji.fedoraproject.org/koji/buildinfo?buildID=202082

Note You need to log in before you can comment on or make changes to this bug.